import { BytesLike } from "@ckb-lumos/codec";
export interface PublicKey {
    toBase58(): string;
    toBytes(): Uint8Array;
}
export interface Provider {
    connect(): Promise<{
        publicKey: PublicKey;
    }>;
    signMessage(message: Uint8Array): Promise<{
        signature: Uint8Array;
        publicKey: PublicKey;
    }>;
}
declare global {
    interface Window {
        phantom?: {
            solana: Provider;
        };
    }
}
export declare function signMessage(digest: BytesLike, provider?: Provider): Promise<string>;
//# sourceMappingURL=omnilock-solana.d.ts.map